## osmo-fl2k 0.1.0+20180423git9e79bde

=== CMakeLists.txt ===
# Copyright 2018 Osmocom Project
#
# This file is part of osmo-fl2k
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(libosmo-fl2k C)

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

if(NOT LIB_INSTALL_DIR)
   set(LIB_INSTALL_DIR lib)
endif()

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 0) # increment major on api compatibility changes
set(VERSION_INFO_MINOR_VERSION 1) # increment minor on feature-level changes
set(VERSION_INFO_PATCH_VERSION git) # increment patch for bug fixes and docs
include(Version) # setup version info

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCC AND NOT WIN32)
    ADD_DEFINITIONS(-Wall)
    ADD_DEFINITIONS(-Wextra)
    ADD_DEFINITIONS(-Wno-unused-parameter)
    ADD_DEFINITIONS(-Wno-unused)
    ADD_DEFINITIONS(-Wsign-compare)
    ADD_DEFINITIONS(-Wdeclaration-after-statement)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find build dependencies
########################################################################
find_package(PkgConfig)
find_package(LibUSB)
set(THREADS_USE_PTHREADS_WIN32 true)
find_package(Threads)

if(NOT LIBUSB_FOUND)
    message(FATAL_ERROR "LibUSB 1.0 required to compile libosmo-fl2k")
endif()
if(NOT THREADS_FOUND)
    message(FATAL_ERROR "pthreads(-win32) required to compile libosmo-fl2k")
endif()
########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${LIBUSB_INCLUDE_DIR}
    ${THREADS_PTHREADS_INCLUDE_DIR}
)

#link_directories(
#    ...
#)

# Set component parameters
#set(INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for libosmo-fl2k" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES osmo-fl2k.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include)
add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
    LIST(APPEND FL2K_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

FOREACH(lib ${LIBUSB_LIBRARY_DIRS})
    LIST(APPEND FL2K_PC_LIBS "-L${lib}")
ENDFOREACH(lib)

# use space-separation format for the pc file
STRING(REPLACE ";" " " FL2K_PC_CFLAGS "${FL2K_PC_CFLAGS}")
STRING(REPLACE ";" " " FL2K_PC_LIBS "${FL2K_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(FL2K_PC_CFLAGS)
    UNSET(FL2K_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/${LIB_INSTALL_DIR})
set(includedir \${prefix}/include)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/libosmo-fl2k.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libosmo-fl2k.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libosmo-fl2k.pc
    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
)

########################################################################
# Print Summary
########################################################################
MESSAGE(STATUS "Building for version: ${VERSION} / ${LIBVER}")
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== src/CMakeLists.txt ===
# Copyright 2018 Osmocom Project
#
# This file is part of osmo-fl2k
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

MACRO(LIBFL2K_APPEND_SRCS)
    LIST(APPEND libosmo-fl2k_srcs ${ARGV})
ENDMACRO(LIBFL2K_APPEND_SRCS)

LIBFL2K_APPEND_SRCS(
    libosmo-fl2k.c
)

########################################################################
# Set up Windows DLL resource files
########################################################################
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/Version.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/libosmo-fl2k.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/libosmo-fl2k.rc
    @ONLY)

    LIBFL2K_APPEND_SRCS(${CMAKE_CURRENT_BINARY_DIR}/libosmo-fl2k.rc)
ENDIF(MSVC)

########################################################################
# Setup shared library variant
########################################################################
add_library(libosmo-fl2k_shared SHARED ${libosmo-fl2k_srcs})
target_link_libraries(libosmo-fl2k_shared ${LIBUSB_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
set_target_properties(libosmo-fl2k_shared PROPERTIES DEFINE_SYMBOL "libosmofl2k_EXPORTS")
set_target_properties(libosmo-fl2k_shared PROPERTIES OUTPUT_NAME osmo-fl2k)
set_target_properties(libosmo-fl2k_shared PROPERTIES SOVERSION ${MAJOR_VERSION})
set_target_properties(libosmo-fl2k_shared PROPERTIES VERSION ${LIBVER})

########################################################################
# Setup static library variant
########################################################################
add_library(libosmo-fl2k_static STATIC ${libosmo-fl2k_srcs})
target_link_libraries(libosmo-fl2k_static ${LIBUSB_LIBRARIES})
set_property(TARGET libosmo-fl2k_static APPEND PROPERTY COMPILE_DEFINITIONS "libosmofl2k_STATIC" )
if(NOT WIN32)
# Force same library filename for static and shared variants of the library
set_target_properties(libosmo-fl2k_static PROPERTIES OUTPUT_NAME osmo-fl2k)
endif()

########################################################################
# Setup libraries used in executables
########################################################################
if(WIN32)
add_library(libgetopt_static STATIC
    getopt/getopt.c
)
target_link_libraries(
    libosmo-fl2k_shared
)
endif()

########################################################################
# Build utility
########################################################################
add_executable(fl2k_file fl2k_file.c)
add_executable(fl2k_tcp fl2k_tcp.c)
add_executable(fl2k_test fl2k_test.c)
add_executable(fl2k_fm fl2k_fm.c rds_waveforms.c rds_mod.c)
set(INSTALL_TARGETS libosmo-fl2k_shared libosmo-fl2k_static fl2k_file fl2k_tcp fl2k_test fl2k_fm)

target_link_libraries(fl2k_file libosmo-fl2k_shared 
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)

target_link_libraries(fl2k_tcp libosmo-fl2k_shared 
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)

target_link_libraries(fl2k_test libosmo-fl2k_shared 
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)

target_link_libraries(fl2k_fm libosmo-fl2k_shared 
    ${LIBUSB_LIBRARIES}
    ${CMAKE_THREAD_LIBS_INIT}
)


if(UNIX)
target_link_libraries(fl2k_test m)
target_link_libraries(fl2k_fm m)
endif()

if(WIN32)
target_link_libraries(fl2k_file libgetopt_static)
target_link_libraries(fl2k_tcp ws2_32 libgetopt_static)
target_link_libraries(fl2k_test libgetopt_static)
target_link_libraries(fl2k_fm libgetopt_static)
set_property(TARGET fl2k_file APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
set_property(TARGET fl2k_tcp APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
set_property(TARGET fl2k_test APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
set_property(TARGET fl2k_fm APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
endif()
########################################################################
# Install built library files & utilities
########################################################################
install(TARGETS ${INSTALL_TARGETS}
    LIBRARY DESTINATION ${LIB_INSTALL_DIR} # .so/.dylib file
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR} # .lib file
    RUNTIME DESTINATION bin              # .dll file
)

=== debian/changelog ===
osmo-fl2k (0.1.0+20180423git9e79bde-2) unstable; urgency=medium

  * debian/control: set team as maintainer
  * debian/copyright: add some entries (Closes: #896832)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 25 Apr 2018 19:28:07 +0200

osmo-fl2k (0.1.0+20180423git9e79bde-1) unstable; urgency=medium

  * Initial release.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 24 Apr 2018 18:28:07 +0200

=== debian/control ===
Source: osmo-fl2k
Section: libs
Priority: optional
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>=11)
	, pkg-config
	, cmake
	, libusb-1.0-0-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-fl2k
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-fl2k.git
Homepage: https://projects.osmocom.org/projects/osmo-fl2k

Package: osmo-fl2k
Section: net
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: use a VGA USB adapter as DAC and SDR transmitter
 This software allows one to use USB 3.0 to VGA adapters based on the
 Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
 generating a continuous stream of samples by avoiding the HSYNC and
 VSYNC blanking intervals.

Package: libosmo-fl2k0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: use a VGA USB adapter as DAC and SDR transmitter - library
 This software allows one to use USB 3.0 to VGA adapters based on the
 Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
 generating a continuous stream of samples by avoiding the HSYNC and
 VSYNC blanking intervals.
 .
 This package provides the shared library.

Package: libosmo-fl2k-dev
Section: libdevel
Architecture: any
Depends: libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
Description: use a VGA USB adapter as DAC and SDR transmitter - development
 This software allows one to use USB 3.0 to VGA adapters based on the
 Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
 generating a continuous stream of samples by avoiding the HSYNC and
 VSYNC blanking intervals.
 .
 This package provides the development files.

=== debian/watch ===
version=4
opts="mode=git, dversionmangle=s/\+ds//" https://git.osmocom.org/osmo-fl2k refs/tags/([\d\.]+) debian uupdate

## osmo-fl2k 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # Set the version information here
 set(VERSION_INFO_MAJOR_VERSION 0) # increment major on api compatibility changes
 set(VERSION_INFO_MINOR_VERSION 1) # increment minor on feature-level changes
-set(VERSION_INFO_PATCH_VERSION git) # increment patch for bug fixes and docs
+set(VERSION_INFO_PATCH_VERSION 1) # increment patch for bug fixes and docs
 include(Version) # setup version info
 
 ########################################################################
@@ -60,7 +60,9 @@
 ########################################################################
 find_package(PkgConfig)
 find_package(LibUSB)
-set(THREADS_USE_PTHREADS_WIN32 true)
+if(WIN32 AND NOT MINGW)
+    set(THREADS_USE_PTHREADS_WIN32 true)
+endif()
 find_package(Threads)
 
 if(NOT LIBUSB_FOUND)
@@ -102,9 +104,14 @@
 ########################################################################
 option(INSTALL_UDEV_RULES "Install udev rules for libosmo-fl2k" OFF)
 if (INSTALL_UDEV_RULES)
+    set(UDEV_RULES_PATH
+        "/etc/udev/rules.d"
+        CACHE STRING
+        "Target directory for udev rule installation. Ensure you have permissions to write to this directory."
+        )
     install (
         FILES osmo-fl2k.rules
-        DESTINATION "/etc/udev/rules.d"
+        DESTINATION ${UDEV_RULES_PATH}
         COMPONENT "udev"
         )
 else (INSTALL_UDEV_RULES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
 ########################################################################
 # Setup libraries used in executables
 ########################################################################
-if(WIN32)
+if(WIN32 AND NOT MINGW)
 add_library(libgetopt_static STATIC
     getopt/getopt.c
 )
@@ -105,7 +105,7 @@
 target_link_libraries(fl2k_fm m)
 endif()
 
-if(WIN32)
+if(WIN32 AND NOT MINGW)
 target_link_libraries(fl2k_file libgetopt_static)
 target_link_libraries(fl2k_tcp ws2_32 libgetopt_static)
 target_link_libraries(fl2k_test libgetopt_static)
@@ -115,6 +115,11 @@
 set_property(TARGET fl2k_test APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
 set_property(TARGET fl2k_fm APPEND PROPERTY COMPILE_DEFINITIONS "libosmo-fl2k_STATIC" )
 endif()
+
+if(MINGW)
+target_link_libraries(fl2k_tcp ws2_32)
+endif()
+
 ########################################################################
 # Install built library files & utilities
 ########################################################################

=== debian/changelog ===
osmo-fl2k (0.1.1-3) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * add cmake4.patch (Closes: #1113380)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 18 Oct 2025 11:14:03 +0200

osmo-fl2k (0.1.1-2) unstable; urgency=medium

  * debian/control: use dh13
  * debian/control: bump standard to 4.6.1 (no changes)
  * debian/copyright: update links
  * debian/watch: update links

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 27 Dec 2022 11:14:03 +0100

osmo-fl2k (0.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Aug 2020 19:14:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>=11)
+Build-Depends: debhelper-compat (=13)
 	, pkg-config
 	, cmake
 	, libusb-1.0-0-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-fl2k
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-fl2k.git
 Homepage: https://projects.osmocom.org/projects/osmo-fl2k
@@ -41,6 +41,7 @@
 Section: libdevel
 Architecture: any
 Depends: libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

=== debian/watch ===
version=4
#opts="mode=git, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" git://gitea.osmocom.org/osmo-fl2k refs/tags/(v|)([\d\.]+) debian uupdate
opts="mode=git, dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" git://gitea.osmocom.org/osmo-fl2k refs/tags/v([\d\.]+) debian uupdate
#opts="mode=git, dversionmangle=s/\+ds//" https://gitea.osmocom.org/sdr/osmo-fl2k refs/tags/([\d\.]+) debian uupdate
#opts="mode=git, dversionmangle=s/\+ds//" https://git.osmocom.org/osmo-fl2k refs/tags/([\d\.]+) debian uupdate

## osmo-fl2k 0.1.1.22.f05c

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,13 @@
 cmake_minimum_required(VERSION 2.6)
 project(libosmo-fl2k C)
 
+include(GNUInstallDirs)
+
+# CMP0075 Include file check macros honor CMAKE_REQUIRED_LIBRARIES
+if(POLICY CMP0075)
+    cmake_policy(SET CMP0075 NEW)
+endif()
+
 #select the release build type by default to get optimization flags
 if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
@@ -38,7 +45,7 @@
 # Set the version information here
 set(VERSION_INFO_MAJOR_VERSION 0) # increment major on api compatibility changes
 set(VERSION_INFO_MINOR_VERSION 1) # increment minor on feature-level changes
-set(VERSION_INFO_PATCH_VERSION 1) # increment patch for bug fixes and docs
+set(VERSION_INFO_PATCH_VERSION git) # increment patch for bug fixes and docs
 include(Version) # setup version info
 
 ########################################################################
@@ -157,7 +164,7 @@
 
 INSTALL(
     FILES ${CMAKE_CURRENT_BINARY_DIR}/libosmo-fl2k.pc
-    DESTINATION ${LIB_INSTALL_DIR}/pkgconfig
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
 )
 
 ########################################################################

=== debian/changelog ===
osmo-fl2k (0.1.1.22.f05c) UNRELEASED; urgency=medium

  * Snapshot build

 -- Harald Welte <laforge@gnumonks.org>  Wed, 05 Feb 2020 02:09:22 +0000

osmo-fl2k (0.1.0git) unstable; urgency=medium

  * Osmocom debian recipes for nightly builds

 -- Harald Welte <laforge@gnumonks.org>  Sun, 03 Jun 2018 16:13:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (=13)
+Build-Depends: debhelper (>= 9.0.0~),  dh-autoreconf
 	, pkg-config
 	, cmake
 	, libusb-1.0-0-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmo-fl2k
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmo-fl2k.git
 Homepage: https://projects.osmocom.org/projects/osmo-fl2k
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,8 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
-Multi-Arch: same
+Depends: osmocom-nightly, libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0

=== debian/changelog ===
osmo-fl2k (0.2.0) unstable; urgency=medium

  [ Harald Welte ]
  * debian: Attempt to down-grade the debhelper version requirement
  * debian: build-dep on dh-autoreconf for Ubuntu 16.04/Debian8

  [ Steve Markgraf ]
  * fix sleep durations on Windows
  * lib: add I2C support
  * lib: Add workaround for Linux usbfs mmap() bug

  [ Oliver Smith ]
  * contrib/jenkins.sh: osmo-fl2k build verification

  [ Steve Markgraf ]
  * fl2k_fm: make inline functions static
  * fl2k_file: check read return value before repeating
  * lib: wait for sample worker thread before freeing buffers
  * improve exit handling on device removal
  * fl2k_tcp: don't free buffer while lib still uses it
  * fix compiler warnings
  * set CMake policy CMP0075 if it exists
  * lib: use interface 0 altsetting 1 instead of interface 1
  * lib: fall back to iface 1 in case iface 0 altsetting 1 fails

  [ Sergey Alirzaev ]
  * lib: implement enabling RGB332 mode
  * lib: added utility macros for rgb332 mode
  * lib: fixed rgb332 macros

  [ Steve Markgraf ]
  * lib: reuse hint message when zero-copy buffer alloc fails
  * lib: fix hang on exit
  * lib: revert implementing RGB233 mode

  [ Harald Welte ]
  * update git URLs (git -> https; gitea)

 -- Oliver Smith <osmith@sysmocom.de>  Fri, 03 Nov 2023 11:15:22 +0100

## osmo-fl2k 0.2.0.1.6c81.202403232026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 23 Mar 2024 20:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403232026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly, ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403232026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly, libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403232026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202403242026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 24 Mar 2024 20:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403232026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403242026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403232026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403242026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403232026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403242026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202403252026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 25 Mar 2024 20:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403242026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403252026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403242026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403252026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403242026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403252026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202403262026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 26 Mar 2024 20:26:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403262026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403262026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403252026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403262026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202403272026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 27 Mar 2024 20:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403272026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403272026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403262026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403272026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202403282026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 28 Mar 2024 20:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403282026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403282026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403272026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403282026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202403292026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 29 Mar 2024 20:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403292026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403292026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403282026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403292026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202403302026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 30 Mar 2024 20:26:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403292026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403302026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403292026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403302026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403292026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403302026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202403312026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202403312026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 31 Mar 2024 20:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403302026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403312026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403302026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202403312026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403302026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202403312026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202404012026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202404012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 01 Apr 2024 20:26:45 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403312026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404012026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202403312026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404012026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202403312026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202404012026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202404022026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202404022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 02 Apr 2024 20:26:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202404012026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404022026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202404012026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404022026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202404012026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202404022026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202404032026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202404032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 03 Apr 2024 20:26:47 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202404022026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404032026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202404022026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404032026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202404022026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202404032026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202404042026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202404042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 04 Apr 2024 20:26:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202404032026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404042026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202404032026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404042026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202404032026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202404042026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter

## osmo-fl2k 0.2.0.1.6c81.202404052026

=== debian/changelog ===
osmo-fl2k (0.2.0.1.6c81.202404052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 05 Apr 2024 20:26:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: no
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202404042026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404052026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -28,7 +28,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202404042026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202404052026), ${misc:Depends}, ${shlibs:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - library
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
@@ -40,7 +40,7 @@
 Package: libosmo-fl2k-dev
 Section: libdevel
 Architecture: any
-Depends: osmocom-nightly (= 202404042026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
+Depends: osmocom-nightly (= 202404052026), libosmo-fl2k0 (= ${binary:Version}), ${misc:Depends}
 Description: use a VGA USB adapter as DAC and SDR transmitter - development
  This software allows one to use USB 3.0 to VGA adapters based on the
  Fresco Logic FL2000 chip as general purpose DACs and SDR transmitter
